<template>
  <div class="section">
    <div v-if="$apollo.loading">Loading...</div>
    <div class="container" v-else>
      <h3 class="title">{{ image.title }}</h3>
      <hr>
      <div class="columns">
        <div class="column is-two-thirds">
          <img :src="imageUrl" :alt="image.title" />
        </div>
        <div class="column is-one-third">
          <ImageDetails :user="image.user" :image="image" />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import IMAGE_QUERY from '@/graphql/Image/Image.gql'
import ImageDetails from '@/components/Image/Image/ImageDetails'
export default {
  components: { ImageDetails },
  data () {
    return {
      image: null
    }
  },
  computed: {
    imageUrl () {
      return `${this.$store.state.cloudinary}/w_800,f_auto,q_auto/${this.image.path}`
    }
  },
  created () {
    const imageId = this.$route.params.id
    this.$apollo.query({
      query: IMAGE_QUERY,
      variables: {
        imageId
      }
    }).then(({data: { Image }}) => {
      console.log(Image)
      this.image = Image
    }).catch(error => console.error(error))
  }
}
</script>
